module top(
  clk,
  rstn,
  data_a,
  result
);
//**********************************************************************
// --- Input/Output Declaration
//**********************************************************************
	localparam NUM_DATA = 32;
	input clk;
	input rstn;
	reg start;
	reg [31:0] mem_data_1 [0:NUM_DATA-1];
	output reg   [31:0] data_a;
    output wire  [31:0] result;
	reg [$clog2(NUM_DATA+1):0] i_data;
	
//**********************************************************************
// --- Main core
//**********************************************************************	
	Fixed_to_Float_Top Fixed_to_Float_Top_inst(
		.clk(clk),
		.rstn(rstn),
		.data_a(data_a),
		.result(result)
    );
	
	always @(posedge clk or negedge rstn) begin
		if(!rstn) begin
			i_data <= 0;
		end else if(start) begin
			i_data <= i_data + 1'b1;
		end
	end
	
	always @(posedge clk or negedge rstn) begin
		if(!rstn) begin
			data_a <= 0;
		end
		else if(start) begin
			data_a <= mem_data_1[i_data];
		end
	end

	always @(posedge clk) begin
		if(!rstn) begin
			start <= 0;
		end
		else begin
			start <= 1;
		end
	end

	initial begin
		$readmemh("../proj/src/data/x.dat",mem_data_1);
	end
endmodule
