`timescale 1ns / 1ps

module tb();
//**********************************************************************
// --- Test Input/Output signal
//**********************************************************************	
reg	clk;
reg rstn;

wire        [31:0]  		  result;

localparam CLK_PERIOD = 50.0;
//**********************************************************************
// --- Reset 
//**********************************************************************
initial begin
	rstn = 1'b1;
	#(1.5*CLK_PERIOD) rstn = 1'b0;
	#(CLK_PERIOD) rstn = 1'b1;
end
//**********************************************************************	
// --- Clock Generate
//**********************************************************************
initial begin
	clk = 1'b1;
	#(1.5*CLK_PERIOD) 
	forever #(CLK_PERIOD/2.0) clk = ~clk;
end
//**********************************************************************	
// --- Initial Block
//**********************************************************************
top top_tb(
    .clk    	  (   clk            ),
    .rstn   	  (   rstn    	     ),
    .data_a    	  (                  ),
    .result  	  (   result         )
);

endmodule